console.log('script.js');

// On récupère toutes les étoiles
var toutesLesEtoiles = $('.stars .star');
// console.log(toutesLesEtoiles);

// On rajoute l'écouteur voulu (au clic ou au survol) ; ATTENTION PAS DE FONCTION ANONYME !!
// toutesLesEtoiles.click(onStarClick);
toutesLesEtoiles.hover(onStarClick);


// On gère ce qui se passe lors du clic/survol d'une étoile
function onStarClick(event) {

	// On récupère l'objet cliqué, AU FORMAT JQUERY
	var etoileCliquée = $(this);
	// console.log(etoileCliquée);

	// On récupère son index ("Qu'elle étoile à été cliquée ?") depuis sont attribut data-index
	var indexCliqué = etoileCliquée.data("index");
	// console.log(indexCliqué);

	// On récupère son parent (afin de rendre ça réutilisable pour les autres groupes)
	// C'est utilie uniquement pour différencier les différents groupes..
	var parent = $(this).parent();

	// Style : "Vider" toutes les étoiles.. de ce groupe
	parent.find('.star').removeClass('fas');
	parent.find('.star').addClass('far');

	//// Style : "Remplir" le bon nombre d'étoiles
	// Pour ce groupe, pour chaque étoile de 0 jusqu'à celle cliquée..
	for (var i = 0; i <= indexCliqué; i++) {
		
		var etoile = parent.find('.star[data-index=' + i + ']');
		// console.log( etoile );

		// Je remplie, cf doc font awesome
		// https://fontawesome.com/icons/star?style=regular
		// Note : vous pouvez également utiliser unqiement des étoiles pleines et changer leur couleur (classe ou css)
		etoile.removeClass('far');
		etoile.addClass('fas');
	}
}